package org.gcube.portlets.user.geoportaldataviewer.client;

import java.util.ArrayList;

import org.gcube.portlets.user.geoportaldataviewer.client.ui.dandd.DragDropLayer;
import org.gcube.portlets.user.geoportaldataviewer.shared.gis.LayerItem;

import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.event.shared.HandlerManager;
import com.google.gwt.user.client.ui.DialogBox;
import com.google.gwt.user.client.ui.FlowPanel;

public class OverlayLayerManager extends DialogBox {

	ArrayList<LayerItem> layers = new ArrayList<LayerItem>();
	FlowPanel fp = new FlowPanel();
	private HandlerManager applicationBus;

	public OverlayLayerManager(HandlerManager applicationBus) {
		this.applicationBus = applicationBus;
		setText("Layers");
		getElement().addClassName("myOverlayLayerManager");
		fp.getElement().getStyle().setMarginTop(10, Unit.PX);
		fp.getElement().getStyle().setMarginBottom(10, Unit.PX);
		add(fp);
		//getElement().getStyle().setZIndex(100);
	}

	void addLayerItem(LayerItem layer) {
		DragDropLayer dandd = new DragDropLayer(applicationBus, layer, true, true);
		layers.add(layer);
		fp.add(dandd);
	}

	public void resetLayers() {
		layers.clear();
		fp.clear();

	}
}
